<?php
class SSuprydpStickySidebarOptions {

    /**
     * Holds the values to be used in the fields callbacks
     */
    private $options;

    /**
     * Start up
     */
    public function __construct() {
        add_action('admin_menu', array($this, 'addSubmenuPages'));

		add_action( 'easy_sticky_sidebar_admin_submenu', [$this, 'easy_sticky_sidebar_menu_help'], 100);
    }
	 
    /**
     * add submenu pages in admin menu
     */
    public function addSubmenuPages() {
		  global $SSuprydp_screen_menu;
		
		  require_once EASY_STICKY_SIDEBAR_PLUGIN_DIR . '/inc/sticky-sidebar-list.php';
		
  		$sidebars = new Easy_Sticky_Sidebar_List();		
  		$sidebar_list_menu= add_menu_page('WP CTA', 'WP CTA', 'manage_options', 'easy-sticky-sidebars', apply_filters( 'sticky_sidebar_main_menu', [$sidebars, 'output']), 'dashicons-megaphone' );
  		add_action( "load-$sidebar_list_menu", [$sidebars, 'screen_option' ] );	

  		do_action( 'easy_sticky_sidebar_admin_submenu');
  		add_submenu_page('easy-sticky-sidebars', 'Edit CTA', 'Edit CTA', 'manage_options', 'edit-easy-sticky-sidebar', [$this, 'SSuprydp_AddFormSetting'], 500);
    }
	
	public function easy_sticky_sidebar_menu_help() {
		add_submenu_page('easy-sticky-sidebars', __('How to use Wordpress CTA', 'easy-sticky-sidebar'), __('How to use', 'easy-sticky-sidebar'), 'manage_options', 'https://wordpressctapro.com/help/');
	}

	 
	/**
     * add bulk pages
     */
    public function SSuprydp_AddFormSetting() {
		global $wpdb;

		$table_name = $wpdb->prefix.'sticky_cta';
		
		$data['listfonts'] = SSuprydpStickySidebar()->engine->SSuprydp_awesomeFonts();
		
		$record = $wpdb->get_row(sprintf("SELECT * FROM $table_name WHERE id = %d ORDER BY id ASC", $_GET['id']));
		
		if ( !$record ) {
			return include_once EASY_STICKY_SIDEBAR_PLUGIN_DIR . '/views/sidebar-404.php';
		}
		
        $stickycta = new WP_Sticky_CTA_Data($record);

		$data['stickycta'] = $stickycta;
		$data['sticky_id'] = $stickycta->id ? $stickycta->id : 0;
		
		print SSuprydpStickySidebar()->engine->getView('add_pages', $data);
    }
    
    /**
     * Sanitize each setting field as needed
     *
     * @param array $input Contains all settings fields as array keys
     */
    public function sanitize($input) {

        return $input;
    }

    
}
return new SSuprydpStickySidebarOptions();
?>