<?php

/**
 * Easy_Sticky_Sidebar_Query
 * @package sticky-sidebar
 * @since   1.3.7
 */

class Easy_Sticky_Sidebar_Query {

	/**
     * Fonts
	 * @since 1.3.7
     */
	var $fonts = [];

	/**
     * Fonts
	 * @since 1.3.7
     */
	var $cta = [];

    /**
     * Easy_Sticky_Sidebar_Query Constructor
	 * @since 1.3.7
     */
    function __construct() {
		if ( is_admin(  ) ) {
			return;
		}
		add_action( 'wp', [$this, 'get_cta']);
		add_action('wp_enqueue_scripts', array($this, 'easy_sticky_sidebar_google_fonts'));		
    }

	public function easy_sticky_sidebar_google_fonts() {
		global $CTA_Query;

		$fontquery = urlencode(':ital,wght@0,300;0,400;0,600;0,700;0,800;1,300;1,400;1,600;1,700;1,800');
		foreach ($CTA_Query->fonts as $font) {			
			wp_enqueue_style(sanitize_title($font), 'https://fonts.googleapis.com/css2?family='.$font.$fontquery);
		}
	}

	/**
	 * Get CTA Items
	 * @since 1.3.7
     */
	public function get_cta() {
		global $wpdb;

		$results = $wpdb->get_results(sprintf("SELECT * FROM $wpdb->sticky_cta WHERE SSuprydp_location = %d OR SSuprydp_location = '' ORDER BY id ASC LIMIT 0, 1", get_the_ID()));
		
		$results = apply_filters('easy_sticky_sidebar_query', $results);

		$fonts = [];		
		foreach ($results as &$item) {
			if ( !is_a($item, 'WP_Sticky_CTA_Data') ) {
				$item = new WP_Sticky_CTA_Data($item);
			}

			array_push($fonts, $item->SSuprydp_button_option_font, $item->SSuprydp_content_option_font, $item->SSuprydp_action_option_font);
		}

		$this->cta = $results;
		$this->fonts = array_unique(array_filter($fonts));
		$GLOBALS['CTA_Query'] = $this;
	}
}

$GLOBALS['CTA_Query'] = new Easy_Sticky_Sidebar_Query();

