<?php

add_action( 'easy_sticky_sidebar_cta_position', 'easy_sticky_sidebar_cta_position', 10, 2);
function easy_sticky_sidebar_cta_position($stickycta, $sticky_id) {
	$cta_position = $stickycta->horizontal_vertical_position;
	if($cta_position == '') {
		$cta_position == 'center';
	} ?>

	<div class="SSuprydp_field_wrap">
		<label><?php _e("Horizontal Position", "wordpress-cta-pro"); ?></label>
		<select name="SSuprydp_cta_position" class="SSuprydp_input" data-position="<?php echo $cta_position ?>">
			<option value="right" <?php selected( 'right', $cta_position) ?>>Right</option>
		</select>
	</div>

	<div class="SSuprydp_field_wrap">
		<label><?php _e("Vertical Position", "sticky-sidebar"); ?></label>
		<select name="horizontal_vertical_position" class="SSuprydp_input" data-position="<?php echo $cta_position ?>">
			<option value="top" <?php selected( 'top', $cta_position) ?>>Top</option>
			<option value="center" <?php selected( 'center', $cta_position) ?>>Center</option>
			<option value="bottom" <?php selected( 'bottom', $cta_position) ?>>Bottom</option>
		</select>
	</div>
	<?php	
}


add_action( 'easy_sticky_sidebar_form_cta_location', 'easy_sticky_sidebar_form_page_location', 10, 2);
function easy_sticky_sidebar_form_page_location($stickycta, $sticky_id) {
    $front_page = get_option( 'page_on_front');
	echo '<div class="SSuprydp_field_wrap">';

	if(!$front_page) {
		echo '<div style="margin-top:5px"></div>';
		_e('This option is not available because the home page is not set. Please go to Settings -> Reading -> Your Homepage Displays. Then set your home page.', 'easy-sticky-sidebar');		
	} else {
		echo '<label>' . __("Location", "sticky-sidebar") . '</label>';
		echo '<select name="SSuprydp_location" class="SSuprydp_location">';
			printf('<option value="" %s>%s</option>', selected('', $stickycta->SSuprydp_location, false), __('Entire Site', 'easy-sticky-sidebar'));
			printf('<option value="%d" %s>%s</option>', $front_page, selected($front_page, $stickycta->SSuprydp_location, false), get_the_title( $front_page ));
		echo '</select>';
	}
	echo '</div>';
}



function ess_add_image_field($stickycta, $sticky_id) {
	?>
	<div id="sticky_cta_banner_img" class="SSuprydp_field_wrap banner_img ">
		<label><?php _e("Please select an image", "sticky-sidebar"); ?></label>
		<input type="hidden" name="sticky_s_media" id="sticky_s_media" value="<?php echo $stickycta->sticky_s_media; ?>">

		<?php if($stickycta->sticky_s_media){ ?>
		<div class='image-preview-wrapper'>
			<img id='image-preview' src='<?php _e($stickycta->sticky_s_media, "sticky-sidebar"); ?>'
				height='100'>
		</div>
		<?php } else {?>
		<div class='image-preview-wrapper'>
			<img id='image-preview'
				src='<?php echo wp_get_attachment_url($stickycta->sticky_s_media); ?>' height='100'>
		</div>
		<?php } ?>

		<input id="upload_image_button" type="button" class="button" value="<?php _e( 'Edit Image' ); ?>" />
		<input type='hidden' name='image_attachment_id' id='image_attachment_id' value='<?php _e($stickycta->image_attachment_id, "sticky-sidebar") ; ?>'>
	</div>
<?php
}
add_action( 'easy_sticky_sidebar_cta_image', 'ess_add_image_field', 10, 2);


/**
 * CTA button text field
 * @since 1.3.6
 */
function easy_sticky_sidebar_button_text($stickycta) { ?>
	<div class="SSuprydp_field_wrap">
		<label><?php _e("Button Text", "sticky-sidebar"); ?></label>
		<input type="text" name="SSuprydp_button_option_text" class="SSuprydp_input meta_title" value="<?php _e($stickycta->SSuprydp_button_option_text, "sticky-sidebar") ; ?>" placeholder="Enter button text here">
	</div>
	<?php
}
add_action( 'easy_sticky_sidebar_button_options', 'easy_sticky_sidebar_button_text', 10);


/**
 * CTA button font field
 * @since 1.3.6
 */
function easy_sticky_sidebar_button_font($stickycta) { ?>
	<div class="SSuprydp_field_wrap">
		<label><?php _e("Button Font", "sticky-sidebar"); ?></label>
		<p><?php _e($stickycta->SSuprydp_button_option_font, "sticky-sidebar"); ?></p>
		<input id="SSuprydp_button_option_font" name="SSuprydp_button_option_font" type="text" value="<?php echo $stickycta->SSuprydp_button_option_font ?>" />
	</div>
	<?php
}
add_action( 'easy_sticky_sidebar_button_options', 'easy_sticky_sidebar_button_font', 15);


/**
 * CTA button font weight field
 * @since 1.3.6
 */
function easy_sticky_sidebar_button_font_weight($stickycta) { ?>
	<div class="SSuprydp_field_wrap">
		<label><?php _e("Button Font Weight", "sticky-sidebar"); ?></label>
		<select name="SSuprydp_button_option_weight" class="SSuprydp_input meta_title">
			<option value="">Select Font Weight</option>
			<?php for($i=1;$i<=9;$i++){ 
				$weight = $i*100;
				printf('<option value="%1$d" %2$s>%1$d</option>', $weight, selected( $stickycta->SSuprydp_button_option_weight, $weight, false));
			} ?>
		</select>
	</div>
	<?php
}
add_action( 'easy_sticky_sidebar_button_options', 'easy_sticky_sidebar_button_font_weight', 20);


/**
 * CTA button font weight field
 * @since 1.3.6
 */
function easy_sticky_sidebar_button_font_size($stickycta) { ?>
	<div class="SSuprydp_field_wrap">
		<label><?php _e("Button Font Size", "sticky-sidebar"); ?></label>
		<select name="SSuprydp_button_option_size" class="SSuprydp_input meta_title">
			<option value="">Select Font Size</option>
			<?php for($i=10;$i<=30;$i++){
				$size = $i.'px';
				printf('<option value="%1$s" %2$s>%1$s</option>', $size, selected( $stickycta->SSuprydp_button_option_size, $size, false));
			} ?>
		</select>
	</div>
	<?php
}
add_action( 'easy_sticky_sidebar_button_options', 'easy_sticky_sidebar_button_font_size', 25);

/**
 * CTA button text alignment field
 * @since 1.3.6
 */
function easy_sticky_sidebar_button_text_alignment($stickycta) { ?>
	<div id="cta-button-text-alignment" class="SSuprydp_field_wrap">
		<label><?php _e("Button Text Align", "sticky-sidebar"); ?></label>
		<select name="SSuprydp_button_option_align" class="SSuprydp_input meta_title">
			<option value="left" <?php selected( 'left', $stickycta->SSuprydp_button_option_align) ?>>Top</option>
			<option value="center" <?php selected( 'center', $stickycta->SSuprydp_button_option_align) ?>>Center</option>
			<option value="right" <?php selected( 'right', $stickycta->SSuprydp_button_option_align) ?>>Bottom</option>
		</select>
	</div>
	<?php
}
add_action( 'easy_sticky_sidebar_button_options', 'easy_sticky_sidebar_button_text_alignment', 30);

/**
 * CTA button button color field
 * @since 1.3.6
 */
function easy_sticky_sidebar_button_color($stickycta) { ?>
	<div class="SSuprydp_field_wrap">
		<label><?php _e("Button Text Color", "sticky-sidebar"); ?></label>
		<input type="text" name="SSuprydp_button_option_color" value="<?php echo $stickycta->SSuprydp_button_option_color; ?>" class="sticky-sidebar-colorpicker" />
	</div>
	<?php
}
add_action( 'easy_sticky_sidebar_button_options', 'easy_sticky_sidebar_button_color', 35);


/**
 * CTA button button color field
 * @since 1.3.6
 */
function easy_sticky_sidebar_button_background($stickycta) { ?>
	<div class="SSuprydp_field_wrap">
		<label><?php _e("Button Background Color", "sticky-sidebar"); ?></label>
		<input type="text" name="SSuprydp_button_option_backg_color" value="<?php echo $stickycta->SSuprydp_button_option_backg_color; ?>" class="sticky-sidebar-colorpicker" />
	</div>
	<?php
}
add_action( 'easy_sticky_sidebar_button_options', 'easy_sticky_sidebar_button_background', 40);



add_action( 'easy_stick_sidebar_after_content_option', 'easy_stick_sidebar_content_background_color', 10, 2);
function easy_stick_sidebar_content_background_color($stickycta, $sticky_id) {
	?>    
	<div class="SSuprydp_field_wrap">
		<label><?php _e("Content Background Color", "wordpress-cta-pro"); ?></label>
		<input type="text" name="content_background_color" value="<?php echo $stickycta->content_background_color; ?>" class="sticky-sidebar-colorpicker" />
	</div>
	<?php
}

add_action( 'easy_sticky_sidebar_line_separator', 'easy_sticky_sidebar_line_separator_show', 10, 2);
function easy_sticky_sidebar_line_separator_show($stickycta, $sticky_id) {
	?>    
	<div class="SSuprydp_field_wrap">
		<label class="SSuprydp_switch has-label">
			<input type="hidden" name="line_separator_show" value="no">
			<input type="checkbox" name="line_separator_show" value="yes" <?php checked( 'yes', $stickycta->line_separator_show ) ?> class="develop_check checkbox-show-hide">
			<?php _e("Show/Hide Line Separator", "wordpress-cta-pro"); ?>
		</label>
	</div>
	<?php
}

add_action( 'easy_sticky_sidebar_line_separator', 'easy_sticky_sidebar_line_separator_color', 10, 2);
function easy_sticky_sidebar_line_separator_color($stickycta, $sticky_id) {
	?>    
	<div class="SSuprydp_field_wrap">
		<label><?php _e("Line Separator Color", "wordpress-cta-pro"); ?></label>
		<input type="text" name="line_separator_color" value="<?php echo $stickycta->line_separator_color; ?>" class="sticky-sidebar-colorpicker" />
	</div>
	<?php
}

/**
 * Add call to action text
 * @since 1.3.7
 */
function ess_call_top_action_text($stickycta) { ?>
	<div class="SSuprydp_field_wrap">
		<label><?php _e("Call to Action Text", "sticky-sidebar"); ?></label>
		<input type="text" name="SSuprydp_action_option_text" id="SSuprydp_action_option_text" class="SSuprydp_input meta_title" value="<?php _e($stickycta->SSuprydp_action_option_text, "sticky-sidebar"); ?>" placeholder="Enter Action Text">
	</div>
	<?php
}
add_action( 'easy_sticky_sidebar_call_to_action', 'ess_call_top_action_text', 5);


/**
 * Add call to action text
 * @since 1.3.7
 */
function ess_call_top_action_font($stickycta) { ?>
	<div class="SSuprydp_field_wrap">
		<label><?php _e("Call to Action Font", "sticky-sidebar"); ?></label>
		<p><?php _e($stickycta->SSuprydp_action_option_font, "sticky-sidebar"); ?></p>
		<input id="SSuprydp_action_option_font" name="SSuprydp_action_option_font" type="text" value="<?php echo $stickycta->SSuprydp_action_option_font; ?>" />
	</div>
	<?php
}
add_action( 'easy_sticky_sidebar_call_to_action', 'ess_call_top_action_font', 6);

/**
 * Add call to action font weight
 * @since 1.3.7
 */
function ess_call_top_action_fontweight($stickycta) { ?>
	<div class="SSuprydp_field_wrap">
		<label><?php _e("Call to Action Font Weight", "sticky-sidebar"); ?></label>
		<select name="SSuprydp_action_option_weight" class="SSuprydp_input meta_title">
			<option value="">Select Font Weight</option>
			<?php for($i=1;$i<=9;$i++){
				$aow = $i*100; ?>
			<option value="<?php echo $aow; ?>"
				<?php if($stickycta->SSuprydp_action_option_weight==$aow){ echo 'selected="selected"';} ?>>
				<?php echo $aow; ?></option>
			<?php } ?>
		</select>
	</div>
	<?php
}
add_action( 'easy_sticky_sidebar_call_to_action', 'ess_call_top_action_fontweight', 7);

/**
 * Add call to action font weight
 * @since 1.3.7
 */
function ess_call_top_action_font_size($stickycta) { ?>
	<div class="SSuprydp_field_wrap">
		<label><?php _e("Call to Action Font Size", "sticky-sidebar"); ?></label>

		<select name="SSuprydp_action_option_size" class="SSuprydp_input meta_title">
			<option value="">Select Font Size</option>
			<?php for($i=10;$i<=30;$i++){
				$aosi= $i.'px'; ?>
			<option value="<?php echo $aosi; ?>"
				<?php if($stickycta->SSuprydp_action_option_size==$aosi){ echo 'selected="selected"';} ?>>
				<?php echo $aosi; ?></option>
			<?php } ?>
		</select>
	</div>
	<?php
}
add_action( 'easy_sticky_sidebar_call_to_action', 'ess_call_top_action_font_size', 8);

/**
 * Add call to action text color
 * @since 1.3.7
 */
function ess_call_top_action_textcolor($stickycta) { ?>
	<div class="SSuprydp_field_wrap">
		<label><?php _e("Link Text Color", "sticky-sidebar"); ?></label>
		<input type="text" name="SSuprydp_action_option_color" value="<?php echo $stickycta->SSuprydp_action_option_color; ?>" class="sticky-sidebar-colorpicker" />
	</div>
	<?php
}
add_action( 'easy_sticky_sidebar_call_to_action', 'ess_call_top_action_textcolor', 9);


/**
 * Add call to action text background color
 * @since 1.3.7
 */
function easy_stick_sidebar_link_text_background($stickycta) { ?>
	<div class="SSuprydp_field_wrap">
		<label><?php _e("Link Text Background Color", "wordpress-cta-pro"); ?></label>
		<input type="text" name="link_text_background" value="<?php echo $stickycta->link_text_background; ?>" class="sticky-sidebar-colorpicker" />
	</div>
	<?php
}
add_action( 'easy_sticky_sidebar_call_to_action', 'easy_stick_sidebar_link_text_background', 10);